MAN(1)

NAME
man, lookman, sig - print or find pages of this manual

SYNOPSIS
man [ -hnpPtw ] [ section ... ] [ -- ] title ...

lookman key ...

sig function ...

DESCRIPTION
Man locates and prints pages of this manual named title in the specified sections. Title is given in lower case. Each section is a number; pages marked (2S), for example, belong to chapter 2. If no section is specified, pages in all sections are printed. Any name from the NAME section at the top of the page will serve as a title.

The options are:

-h  Print the pages to HTML and send to a web browser with web(1).

-n  (Default) Print the pages on the standard output using nroff.

-p  Run proof(1) on the specified man pages.

-P  Run page(1) on the specified man pages.

-t  Run troff(1) and send its output to standard output.

-w  Print the file names for the pages.

Lookman prints the names of all manual sections that contain all of the key words given on the command line.

Sig prints the signature (i.e. C definition) of the function's given on the command line.

FILES

/usr/local/plan9/man?/*.[0-9]*
    troff source for manual; this page is /usr/local/plan9/man/man1/man.1

/usr/local/plan9/man?/*.html
    HTML version of the manual

/usr/local/plan9/man/man?/INDEX
    indices searched to find pages corresponding to titles

/usr/local/plan9/man/secindex
    command to make an index for a given section

/usr/local/plan9/man/lookman.index
    index for lookman

SOURCE
/usr/local/plan9/bin/man
/usr/local/plan9/bin/lookman

SEE ALSO
page(1), proof(1)

BUGS
The manual was intended to be typeset; some detail is sacrificed on text terminals.

There is no automatic mechanism to keep the indices up to date.

Except for special cases, man doesn't recognize things that should be run through tbl and/or eqn.

The HTML manual is not maintained automatically. To update it:

        cd /usr/local/plan9/dist
        mk man